VREF.h File Reference
`#include <Arduino.h>`
`#include <atomic.h>`
`#include <settings_defines.h>`

Go to the source code of this file.

## Namespaces

| VREF
| Controls the Teensy internal voltage reference module (VREFV1)

## Functions

void | VREF::start (uint8_t mode=VREF_SC_MODE_LV_HIGHPOWERBUF, uint8_t trim=0x20)
| Start the 1.2V internal reference (if present) More...
void | VREF::trim (uint8_t trim)
| Set the trim. More...
void | VREF::stop ()
| Stops the internal reference. More...
volatile bool | VREF::isStable ()
| Check if the internal reference has stabilized. More...
volatile bool | VREF::isOn ()
| Check if the internal reference is on. More...
void | VREF::waitUntilStable ()
| Wait for the internal reference to stabilize. More...